.page {
    position: relative;
    display: flex;
    flex-direction: column-reverse;
}

.main {
    flex: 1;
}
.sidebar {
    background-image: linear-gradient(180deg, rgb(190, 22, 36) 0%, #3a0647 70%);
}


.top-row {
    background-color: #1638a7;
    border-bottom: 1px solid #1638a7;
    justify-content: right;
    height: 3.5rem;
    display: right;
    align-items: center;
}

    .top-row ::deep a, .top-row .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
    }

    .top-row a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row:not(.auth) {
        display: none;
    }

    .top-row.auth {
        justify-content: space-between;
    }

    .top-row a, .top-row .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page {
        flex-direction: row;
    }

    .sidebar {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row {
        position: sticky;
        top: 0;
        z-index: 3;
    }

    .main > div {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
